#!/bin/sh
source /etc/conf.d/vdr

if [ "$NVRAM_BOARD" != "" ] && [ ! -f /_config/install/nvram-wakeup.conf.$NVRAM_BOARD ] ; then
   NVRAM_BOARD=""
fi   
NEW_ADMVAR=":NVRAM_BOARD:$NVRAM_BOARD:A:32:abcdefghijklmnopqrstuvwxyz0123456789-_ABCDEFGHIJKLMNOPQRSTUVWXYZ:NVRAM Board - BIOS:"
sed -i /etc/vdr/plugins/admin/admin.conf -e "s/:NVRAM_BOARD:.*/$NEW_ADMVAR/"
/etc/vdr/plugins/admin/setadmval.sh NVRAM_BOARD $NVRAM_BOARD
if [ "$(grep cx88 /etc/modules.d/dvb)" = "" ] ; then
   echo "# cx88-alsa should not become first sound device" >> /etc/modules.d/dvb
   echo "options cx88_alsa index=2" >> /etc/modules.d/dvb
   modules-update
fi

 
